summaryrefslogtreecommitdiffstats
path: root/gis/pdal
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2014-02-02 06:39:47 +0700
committer Robby Workman <rworkman@slackbuilds.org>2014-02-02 02:09:48 -0600
commite0bf10c23bde4be5d46955ad67706fb325a5db98 (patch)
tree110d674ac1de25b364ceefa2ebad4a996e21704f /gis/pdal
parent853f25ba9a79a6a70a4dc969ce16a1ee5042075b (diff)
downloadslackbuilds-e0bf10c23bde4be5d46955ad67706fb325a5db98.tar.gz
slackbuilds-e0bf10c23bde4be5d46955ad67706fb325a5db98.tar.xz
gis/pdal: Moved from Academic category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis/pdal')
-rw-r--r--gis/pdal/README7
-rw-r--r--gis/pdal/pdal.SlackBuild116
-rw-r--r--gis/pdal/pdal.info10
-rw-r--r--gis/pdal/slack-desc19
4 files changed, 152 insertions, 0 deletions
diff --git a/gis/pdal/README b/gis/pdal/README
new file mode 100644
index 0000000000..703a9e4322
--- /dev/null
+++ b/gis/pdal/README
@@ -0,0 +1,7 @@
+PDAL is a BSD licensed library for translating and manipulating point cloud
+data of various formats. It is a library that is analogous to the GDAL raster
+library. PDAL is focussed on reading, writing, and translating point cloud data
+from the ever-growing constellation of data formats that are being developed
+for working with multi-dimensional emitted-pulse scanning systems. While PDAL
+is not explicitly limited to working with LiDAR data formats, its initial
+rollout is focused in that area.
diff --git a/gis/pdal/pdal.SlackBuild b/gis/pdal/pdal.SlackBuild
new file mode 100644
index 0000000000..d72523f8f5
--- /dev/null
+++ b/gis/pdal/pdal.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for pdal
+
+# Copyright 2013 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pdal
+VERSION=${VERSION:-0.9.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=PDAL
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+if [ -e $CWD/$VERSION.tar.gz ]; then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+fi
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -G "Unix Makefiles" \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE="Release" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=$LIBDIRSUFFIX \
+ -DPDAL_BOOST_EMBED=OFF \
+ -DWITH_GDAL=ON \
+ -DWITH_ICONV=ON \
+ -DWITH_GEOTIFF=ON \
+ -DWITH_LIBXML2=ON \
+ -DWITH_LASZIP=ON \
+ -DWITH_ORACLE=OFF \
+ -DWITH_PYTHON=OFF \
+ -DWITH_FLANN=OFF \
+ -DWITH_P2G=OFF \
+ -DWITH_SOCI=OFF \
+ -DWITH_PGPOINTCLOUD=ON \
+ -DLASZIP_LIBRARY=/usr/lib${LIBDIRSUFFIX}/liblaszip.so \
+ ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.txt LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/pdal/pdal.info b/gis/pdal/pdal.info
new file mode 100644
index 0000000000..2b7d5e5e4c
--- /dev/null
+++ b/gis/pdal/pdal.info
@@ -0,0 +1,10 @@
+PRGNAM="pdal"
+VERSION="0.9.8"
+HOMEPAGE="http://pointcloud.org"
+DOWNLOAD="https://github.com/PDAL/PDAL/archive/0.9.8.tar.gz"
+MD5SUM="4618a81c265e95ff114e949f30ea26aa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gdal laszip libgeotiff postgresql"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/pdal/slack-desc b/gis/pdal/slack-desc
new file mode 100644
index 0000000000..34e04f7f2c
--- /dev/null
+++ b/gis/pdal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pdal: PDAL (point data abstraction library)
+pdal:
+pdal: PDAL is a BSD licensed library for translating and manipulating point
+pdal: cloud data of various formats.
+pdal:
+pdal: Homepage: http://pointcloud.org
+pdal:
+pdal:
+pdal:
+pdal:
+pdal: